Fedora 27 and webkitgtk4

For those who are getting the

KNIME is unable to display web pages in an internal browser. This may be cause by missing system libraries…

error on Fedora 27, it is because webkitgtk3 has been retired and the newer webkitgtk4 is in use.

to get around this error, add the lines:
–launcher.GTK_version
3

(with the line break) and it should work again.

3 Likes